% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-edges.R
\name{draw_self_loop_base}
\alias{draw_self_loop_base}
\title{Draw Self-Loop Edge (qgraph-style)}
\usage{
draw_self_loop_base(
  x,
  y,
  node_size,
  col = "gray50",
  lwd = 1,
  lty = 1,
  rotation = pi/2,
  arrow = TRUE,
  asize = 0.02,
  arrow_angle = pi/6
)
}
\arguments{
\item{x, y}{Node center coordinates.}

\item{node_size}{Node radius.}

\item{col}{Loop color.}

\item{lwd}{Line width.}

\item{lty}{Line type.}

\item{rotation}{Angle in radians for loop direction (default: pi/2 = top).}

\item{arrow}{Logical: draw arrow?}

\item{asize}{Arrow size.}

\item{arrow_angle}{Arrow head angle in radians. Default pi/6 (30 degrees).}
}
\description{
Renders a self-loop (edge from node to itself) using a teardrop/circular
loop shape similar to qgraph.
}
\keyword{internal}
